## nx-libs 3.5.99.16

=== Makefile ===
#!/usr/bin/make -f

NULL =

# helpers for "install" target
INSTALL_DIR=install -d -m 755
INSTALL_FILE=install -m 644
INSTALL_PROGRAM=install -m 755
INSTALL_SYMLINK=ln -s -f

# helpers for "build" target
SYMLINK_FILE=ln -f -s

# helpers for "clean" and "uninstall" targets
RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

ETCDIR_NX       ?= /etc/nxagent
PREFIX          ?= /usr/local
BINDIR          ?= $(PREFIX)/bin
LIBDIR          ?= $(PREFIX)/lib
SHLIBDIR        ?= $(LIBDIR)
NXLIBDIR        ?= $(SHLIBDIR)/nx
USRLIBDIR       ?= $(NXLIBDIR)/X11
INCLUDEDIR      ?= $(PREFIX)/include
CONFIGURE       ?= ./configure --prefix="$(PREFIX)"

# use Xfont2 if available in the build env
FONT_DEFINES	?= $(shell pkg-config --modversion xfont2 1>/dev/null 2>/dev/null && echo "-DHAS_XFONT2") $(shell pkg-config --exists 'xfont < 1.4.2' 1>/dev/null 2>/dev/null && echo "-DLEGACY_XFONT1")
XFONTLIB	?= $(shell pkg-config --modversion xfont2 1>/dev/null 2>/dev/null && echo "-lXfont2" || echo "-lXfont")

# Support older libXext versions.
XEXT_EXTRA_DEFINES	?= $(shell pkg-config --exists 'xextproto < 7.1.0' 1>/dev/null 2>/dev/null && echo "-DLEGACY_XEXT_PROTO")

IMAKE_DEFINES	?=

NX_VERSION_MAJOR=$(shell ./version.sh 1)
NX_VERSION_MINOR=$(shell ./version.sh 2)
NX_VERSION_MICRO=$(shell ./version.sh 3)
NX_VERSION_PATCH=$(shell ./version.sh 4)

SHELL:=/bin/bash

NX_X11_HEADERS =		\
	Xlib.h			\
	Xresource.h		\
	Xutil.h			\
	cursorfont.h		\
	Xlibint.h		\
	Xcms.h			\
	Xlocale.h		\
	XKBlib.h		\
	XlibConf.h		\
	Xregion.h		\
	ImUtil.h		\
	$(NULL)

NX_XTRANS_HEADERS =		\
	transport.c		\
	Xtrans.c		\
	Xtrans.h		\
	Xtransint.h		\
	Xtranslcl.c		\
	Xtranssock.c		\
	Xtransutil.c		\
	$(NULL)

%:
	if test -f nxcomp/Makefile; then ${MAKE} -C nxcomp "$@"; fi
	if test -f nxproxy/Makefile; then ${MAKE} -C nxproxy "$@"; fi
	if test -d nx-X11; then \
	    if test -f nx-X11/lib/Makefile; then ${MAKE} -C nx-X11/lib "$@"; fi; \
	    if test -f nxcompshad/Makefile; then ${MAKE} -C nxcompshad "$@"; fi; \
	    if test -f nx-X11/Makefile; then ${MAKE} -C nx-X11 "$@"; fi; \
	fi

	# clean auto-generated files
	if [ "x$@" == "xclean" ] || [ "x$@" = "xdistclean" ]; then \
	    if [ -x ./mesa-quilt ]; then ./mesa-quilt pop -a; fi; \
	    rm -Rf nx-X11/extras/Mesa/.pc/; \
	    rm -f nx-X11/config/cf/nxversion.def; \
	    rm -f nx-X11/config/cf/date.def; \
	    ${MAKE} clean-env; \
	fi

all:
	${MAKE} build

test:
	echo "No testing for NX (redistributed)"

version:
	# prepare nx-X11/config/cf/nxversion.def
	sed \
	    -e 's/###NX_VERSION_MAJOR###/$(NX_VERSION_MAJOR)/' \
	    -e 's/###NX_VERSION_MINOR###/$(NX_VERSION_MINOR)/' \
	    -e 's/###NX_VERSION_MICRO###/$(NX_VERSION_MICRO)/' \
	    -e 's/###NX_VERSION_PATCH###/$(NX_VERSION_PATCH)/' \
	    nx-X11/config/cf/nxversion.def.in \
	    > nx-X11/config/cf/nxversion.def

build-env: version
	# prepare Makefiles and the nx-X11 symlinking magic
	${MAKE} -C nx-X11 BuildIncludes FONT_DEFINES="$(FONT_DEFINES)" XEXT_EXTRA_DEFINES="$(XEXT_EXTRA_DEFINES)" IMAKE_DEFINES="$(IMAKE_DEFINES)"

	# set up environment for libNX_X11 build (X11 header files)
	mkdir -p nx-X11/exports/include/nx-X11/
	for header in $(NX_X11_HEADERS); do \
	    ${SYMLINK_FILE} ../../../lib/include/X11/$${header} nx-X11/exports/include/nx-X11/$${header}; \
	done

	# set up environment for libNX_X11 build (Xtrans header/include files)
	mkdir -p nx-X11/exports/include/nx-X11/Xtrans/
	for header in $(NX_XTRANS_HEADERS); do \
	    ${SYMLINK_FILE} ../../../../lib/include/xtrans/$${header} nx-X11/exports/include/nx-X11/Xtrans/$${header}; \
	done

clean-env: version
	for header in $(NX_X11_HEADERS); do \
	    ${RM_FILE} nx-X11/exports/include/nx-X11/$${header}; \
	done
	for header in $(NX_XTRANS_HEADERS); do \
	    ${RM_FILE} nx-X11/exports/include/nx-X11/Xtrans/$${header}; \
	done

	[ -d exports/include/nx-X11/Xtrans ] && $(RM_DIR) exports/include/nx-X11/Xtrans/ || :
	[ -d exports/include/nx-X11/ ]       && $(RM_DIR) exports/include/nx-X11/        || :

	${MAKE} -C nx-X11 CleanEnv FONT_DEFINES="$(FONT_DEFINES)" XEXT_EXTRA_DEFINES="$(XEXT_EXTRA_DEFINES)" IMAKE_DEFINES="$(IMAKE_DEFINES)"

build-lite:
	cd nxcomp && autoreconf -vfsi && (${CONFIGURE}) && ${MAKE}
	cd nxproxy && autoreconf -vfsi && (${CONFIGURE}) && ${MAKE}

build-full: build-env
# in the full case, we rely on "magic" in the nx-X11 imake-based makefiles...

	# build nxcomp first
	cd nxcomp && autoreconf -vfsi && (${CONFIGURE}) && ${MAKE}

	# build libNX_X11 second
	cd nx-X11/lib && autoreconf -vfsi && (${CONFIGURE} --disable-poll) && ${MAKE}
	mkdir -p nx-X11/exports/lib/
	$(SYMLINK_FILE) ../../lib/src/.libs/libNX_X11.so nx-X11/exports/lib/libNX_X11.so
	$(SYMLINK_FILE) ../../lib/src/.libs/libNX_X11.so.6 nx-X11/exports/lib/libNX_X11.so.6
	$(SYMLINK_FILE) ../../lib/src/.libs/libNX_X11.so.6.3.0 nx-X11/exports/lib/libNX_X11.so.6.3.0

	# build nxcompshad third
	cd nxcompshad && autoreconf -vfsi && (${CONFIGURE}) && ${MAKE}

	# build nxagent fourth
	./mesa-quilt push -a
	${MAKE} -C nx-X11 BuildDependsOnly FONT_DEFINES="$(FONT_DEFINES)" XEXT_EXTRA_DEFINES="$(XEXT_EXTRA_DEFINES)" IMAKE_DEFINES="$(IMAKE_DEFINES)"
	${MAKE} -C nx-X11 World USRLIBDIR="$(USRLIBDIR)" SHLIBDIR="$(SHLIBDIR)" FONT_DEFINES="$(FONT_DEFINES)" XFONTLIB="$(XFONTLIB)" XEXT_EXTRA_DEFINES="$(XEXT_EXTRA_DEFINES)" IMAKE_DEFINES="$(IMAKE_DEFINES)"

	# build nxproxy fifth
	cd nxproxy && autoreconf -vfsi && (${CONFIGURE}) && ${MAKE}

build:
	if ! test -d nx-X11; then \
	    ${MAKE} build-lite; \
	else \
	    ${MAKE} build-full; \
	fi

install:
	$(MAKE) install-lite
	[ ! -d nx-X11 ] || $(MAKE) install-full

install-lite:
	# install nxcomp library
	$(MAKE) -C nxcomp install

	# install the nxproxy executable and its man page
	$(MAKE) -C nxproxy install

install-full:
	$(MAKE) -C nxcompshad install

	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)/
	$(INSTALL_PROGRAM) nx-X11/programs/Xserver/nxagent-relink $(DESTDIR)$(BINDIR)/nxagent

	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)/share/pixmaps
	$(INSTALL_FILE) nx-X11/programs/Xserver/hw/nxagent/nxagent.xpm $(DESTDIR)$(PREFIX)/share/pixmaps

	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)/share/nx
	$(INSTALL_FILE) nx-X11/programs/Xserver/Xext/SecurityPolicy $(DESTDIR)$(PREFIX)/share/nx

	# FIXME: Drop this symlink for 3.6.0. Requires that third party frameworks like X2Go have become aware of this...
	$(INSTALL_DIR) $(DESTDIR)$(NXLIBDIR)/bin
	$(INSTALL_SYMLINK) $(BINDIR)/nxagent $(DESTDIR)$(NXLIBDIR)/bin/nxagent

	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)/share/man/man1/
	$(INSTALL_FILE) nx-X11/programs/Xserver/hw/nxagent/man/nxagent.1 $(DESTDIR)$(PREFIX)/share/man/man1/
	gzip $(DESTDIR)$(PREFIX)/share/man/man1/*.1

	# create a clean nx-X11/.build-exports space
	rm -Rf nx-X11/.build-exports
	mkdir -p nx-X11/.build-exports/include
	mkdir -p nx-X11/.build-exports/lib

	# copy headers (for libnx-x11-dev)
	cp -aL nx-X11/exports/include/* nx-X11/.build-exports/include

	# copy libs (for libnx-x11), we want the targets of the links
	. replace.sh; set -x; find nx-X11/exports/lib/ -name "libNX*.so" | while read libpath; do \
	    libfile=$$(basename $$libpath); \
	    libdir=$$(dirname $$libpath); \
	    link=$$(readlink $$libpath); \
	\
	    mkdir -p "$$(string_rep "$$libdir" exports .build-exports)"; \
	    cp -a "$$(string_rep "$$libpath" "$$libfile" "$$link")" "$$(string_rep "$$libdir" exports .build-exports)"; \
	done;

	$(INSTALL_DIR) $(DESTDIR)$(SHLIBDIR)
	$(INSTALL_DIR) $(DESTDIR)$(USRLIBDIR)
	$(INSTALL_SYMLINK) ../../libNX_X11.so.6 $(DESTDIR)$(USRLIBDIR)/libX11.so.6
	$(INSTALL_SYMLINK) ../../libNX_X11.so.6.3.0 $(DESTDIR)$(USRLIBDIR)/libX11.so.6.3.0

	. replace.sh; set -x; find nx-X11/.build-exports/include/{nx*,GL} -type d | \
	    while read dirname; do \
	        $(INSTALL_DIR) "$$(string_rep "$$dirname" nx-X11/.build-exports/include "$(DESTDIR)$(INCLUDEDIR)/")"; \
	        $(INSTALL_FILE) $${dirname}/*.h \
	                        "$$(string_rep "$$dirname" nx-X11/.build-exports/include "$(DESTDIR)$(INCLUDEDIR)/")"/ || true; \
	    done; \

	$(INSTALL_DIR) $(DESTDIR)/$(ETCDIR_NX)
	$(INSTALL_FILE) etc/keystrokes.cfg $(DESTDIR)/$(ETCDIR_NX)/
	$(INSTALL_FILE) etc/nxagent.keyboard $(DESTDIR)$(ETCDIR_NX)/

	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)/share/nx
	$(INSTALL_FILE) VERSION $(DESTDIR)$(PREFIX)/share/nx/VERSION.nxagent
	$(INSTALL_FILE) VERSION $(DESTDIR)$(PREFIX)/share/nx/VERSION.nxproxy

	$(MAKE) -C nx-X11/lib install

uninstall:
	$(MAKE) uninstall-lite
	[ ! -d nx-X11 ] || $(MAKE) uninstall-full

uninstall-lite:
	if test -f nxcomp/Makefile; then ${MAKE} -C nxcomp "$@"; fi
	if test -f nxproxy/Makefile; then ${MAKE} -C nxproxy "$@"; fi

	$(RM_FILE) $(DESTDIR)$(PREFIX)/share/nx/VERSION.nxproxy
	$(RM_DIR) $(DESTDIR)$(PREFIX)/share/nx/

uninstall-full:
	if test -f nxcompshad/Makefile; then ${MAKE} -C nxcompshad "$@"; fi
	if test -f nx-X11/lib/Makefile; then ${MAKE} -C nx-X11/lib "$@"; fi

	$(RM_FILE) $(DESTDIR)$(BINDIR)/nxagent

	$(RM_FILE) $(DESTDIR)$(PREFIX)/share/nx/VERSION.nxagent
	$(RM_DIR) $(DESTDIR)$(PREFIX)/share/nx/

	if test -d $(DESTDIR)$(NXLIBDIR); then rm -rf $(DESTDIR)$(NXLIBDIR); fi
	if test -d $(DESTDIR)$(INCLUDEDIR)/nx; then rm -rf $(DESTDIR)$(INCLUDEDIR)/nx; fi

=== nx-X11/Makefile ===
# $Xorg: Makefile,v 1.5 2000/08/17 19:41:44 cpqbld Exp $
# $Id: Makefile,v 1.5 2005/12/14 23:41:52 alanc Exp $



# $XFree86: xc/Makefile,v 3.28tsi Exp $

# Luna users will need to either run make as "make MAKE=make"
# or add "MAKE = make" to this file.

RELEASE = "Release $(shell cat ../VERSION)"
SHELL = /bin/sh
RM = rm -f
MV = mv
WORLDOPTS =
WIN32WORLDOPTS = -i
TOP = .
CURRENT_DIR = .
CONFIGSRC = $(TOP)/config
IRULESRC = $(CONFIGSRC)/cf
IMAKE = imake
IMAKE_CMD = $(IMAKE) -I$(IRULESRC) $(IMAKE_DEFINES)
MAKE_OPTS = -f xmakefile
MAKE_CMD = $(MAKE) $(MAKE_OPTS)

all:
	@${MAKE_CMD} xmakefile-exists || $(MAKE) all-initial
	@${MAKE_CMD} $@

all-initial:
	@echo Please use make World, or on NT use nmake World.Win32.
	@echo
	@echo Read the release notes carefully before proceeding.
	@echo Do not name your log file make.log or it will be deleted.

World:
	@echo ""
	@echo Building $(RELEASE).
	@echo ""
	@date
	@echo ""
	if [ ! -f xmakefile ]; then ${MAKE} ${MFLAGS} BuildEnv; fi
	${MAKE_CMD} $(MFLAGS) $(WORLDOPTS) World
	@echo ""
	@date
	@echo ""
	@echo Full build of $(RELEASE) complete.
	@echo ""

CleanEnv:
	@if [ -f xmakefile ]; then \
	    ${MAKE_CMD} -k distclean || \
	    ${MAKE_CMD} -k clean || \
	    $(RM) xmakefile; \
	fi
	@rm -f $(IRULESRC)/date.def; echo "" > $(IRULESRC)/date.def;
	which $(IMAKE) 1>/dev/null && ${MAKE} $(MFLAGS) xmakefile || :
	@if [ -f xmakefile ]; then \
	    ${MAKE_CMD} $(MFLAGS) VerifyOS; \
	    ${MAKE_CMD} $(MFLAGS) Makefiles; \
	    ${MAKE_CMD} $(MFLAGS) BOOTSTRAPSUBDIRS= clean; \
	fi

BuildEnv: CleanEnv BuildIncludes BuildDependsOnly

BuildIncludes: CleanEnv
	${MAKE_CMD} $(MFLAGS) includes

BuildDependsOnly:
	${MAKE_CMD} $(MFLAGS) depend

.PRECIOUS: Makefile

# This is just a sequence of bootstrapping steps we have to do.
# The steps are listed as separate targets so clearmake can wink in
# the Makefile.proto files.

Makefile::
	$(MAKE) $(MFLAGS) xmakefile

xmakefile: Imakefile
	@if [ -f xmakefile ]; then set -x; \
	 $(RM) xmakefile.bak; $(MV) xmakefile xmakefile.bak; \
	 else exit 0; fi
	@rm -f $(IRULESRC)/date.def; echo "" > $(IRULESRC)/date.def;
	$(IMAKE_CMD) -s xmakefile -DTOPDIR=$(TOP) -DCURDIR=$(CURRENT_DIR)

# don't allow any default rules in this Makefile
.SUFFIXES:
# quiet "make" programs that display a message if suffix list empty
.SUFFIXES: .Dummy

# a copy of every rule that might be invoked at top level

clean:
	-${MAKE_CMD} $@
	find config lib programs include -type f -name Makefile | while read makefile; do rm -f $$makefile; done

dangerous_strip_clean:
	    ${MAKE_CMD} $@
distclean:
	    -${MAKE_CMD} $@
	    $(RM) xmakefile
depend:
	    ${MAKE_CMD} $@
Everything:
	    ${MAKE_CMD} $@
external.ln:
	    ${MAKE_CMD} $@
includes:
	    ${MAKE_CMD} $@
install.sdk:
	    ${MAKE_CMD} $@
install.ln:
	    ${MAKE_CMD} $@
install.man:
	    ${MAKE_CMD} $@
install:
	    ${MAKE_CMD} $@
Makefiles:
	    ${MAKE_CMD} $@
man_keywords:
	    ${MAKE_CMD} $@
tags:
	    ${MAKE_CMD} $@
VerifyOS:
	    ${MAKE_CMD} $@

## nx-libs 3.5.0.33-0x2go1+git20180205.776+9.saimaa.1

=== debian/changelog ===
nx-libs (2:3.5.0.33-0x2go1+git20180205.776+9.saimaa.1) stretch; urgency=medium

  * Auto-built Debian stretch (9) package for packages.x2go.org
    repository (Git commit: 415446307c97fae1dd78ea8b61af732907cbfa22).

 -- Jenkins <jenkins@japsand.x2go.org>  Mon, 05 Feb 2018 23:22:51 +0100

nx-libs (2:3.5.0.33-0x2go1) unstable; urgency=low

  [ Mihai Moldovan ]
  * debian/control:
    - Add xkb-data to nxagent's Recommends.
    - Uploaders: add myself. Also, force a rebuild due to the changed
      versioning.
    - Add Breaks statement on pre-4.1.0.0 x2goserver to x2goagent package.
    - Change Breaks statement to pre-4.0.1.21 x2goserver and add a Replaces:
      x2goserver << 4.0.1.21 section to x2goagent package. We'll do the
      /etc/x2go/x2goagent.options file move for x2goserver 4.0.1.21 and
      nx-libs 3.5.0.33 already.
  * nx-libs.spec:
    - Add xkeyboard-config to nxagent's Requires. Should be a weak dependency,
      but RPM doesn't support that too well yet.
    - Copy new debian/x2goagent.options file into build environment, analogous
      to what debian/roll-tarballs.sh does.
    - Add new x2goagent.options file to installed file list of x2goagent
      package.
    - Let x2goagent package satisfy x2goagent-virtual.
    - Add -mno-vxs to general C(XX)FLAGS on ppc64le.
      Hopefully just a temporary workaround until
      https://bugzilla.redhat.com/show_bug.cgi?id=1489712 /
      https://bugs.centos.org/view.php?id=13779 are resolved.
      Backported from Arctica GH 3.6.x branch.
      v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
    - Drop ugly sed hack to push optflags to build system.
    - Pass CDEBUGSFLAGS and friends directly to the make command in %build.
    - Let x2goagent conflict with pre-4.0.1.21 x2goserver versions. Needed for
      x2goagent.options file move.
  * debian/:
    - Add x2goagent.options file for compatibility with x2goserver nightly.
  * debian/roll-tarballs.sh:
    - Copy new debian/x2goagent.options file into real tarball environment.
  * debian/Makefile.nx-libs:
    - Install/destroot new x2goagent.options file.
  * debian/rules:
    - Symlink and remove new debian/x2goagent.options file into/from build
      environment.
  * debian/x2goagent.install:
    - Add new x2goagent.options file.
  * Refresh:
    - 0016_nx-X11_install-location.debian.patch
    - 9900-dxpc-license-history.full+lite.patch
  * nx-X11: use the "old", non-NX header location.
    Affects:
    - 1270_nx-X11_CVE-2017-2624-Use-timingsafe_memcmp-to-c.full.patch
  * {debian/control,nx-libs.spec}:
    - Add proper dependencies upon xkbcomp for RPM and DEB packages.
      Fixes: #1160.
      Backported from Arctica GH 3.6.x branch.
      v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
  * debian/patches:
    - Refresh all patches. Removes some fuzziness and adds the -p diff option
      to show the C function name in hunk headers.
    - Fixup series file to include previous patch.
  * nxcomp: Handle launchd sockets in DISPLAY variable correctly when fetching
    X cookie.
    Backported from Arctica GH 3.6.x branch.
    v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
    Adds:
      - debian/patches/1600_nxcomp-handle-launchd-socket-in-Auth.full+lite.patch
  * nxcomp: Hardcode X11 and (legacy/xfs) font UNIX paths.
    Fixes: ArcticaProject/nx-libs#536
    Allowing overrides via NX_TEMP and TEMP breaks system using
    pam_tmpdir.so and most server infrastructure expects the location to be
    fixed anyway.
    Backported from Arctica GH 3.6.x branch.
    v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
    Adds:
      - debian/patches/1610_nxcomp-harcode-some-UNIX-socket-path.full+lite.patch
  * Mid-release fixup:
    - Rename
      debian/patches/1400_nx-X11_Render.c-Improve-situation-fo.full+lite.patch
      to
      debian/patches/1400_nx-X11_Render.c-Improve-situation-fo.full.patch.
    - Split up
      debian/patches/1500_all_propagate-optflags-to-subcompone.full+lite.patch.
      Put server changes into
      debian/patches/1500_all_propagate-optflags-to-subcompone.full.patch
      and keep client changes local to
      debian/patches/1510_all_propagate-optflags-to-subcompone.full+lite.patch.

  [ Mike Gabriel ]
  * debian/libxinerama1.postinst.in:
    + Revert 5a9f829. Make sure libnx-Xinerama1 based Xinerama works
      again with X2Go on Debian based systems.
    + Enforce symlink creation for Xinerama et al. library symlinks.
      (Fixes: #757, #758, #760).
  * Xinerama symlinking: Attach Xinerama symlinking to nxagent bin:package (and
    not libnx-xinerama1).
    Backported from Arctica GH 3.6.x branch.
  * debian/Makefile.nx-libs:
    + Make sure that 'make all' only calls 'make build' and _not_ the global
      '%:' ruleset afterwards.
      Backported from Arctica GH 3.6.x branch.
      v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
  * buildsystem:
    - OPTFLAGS: Properly propagate build option flags to nxcomp{,ext,shad} and
      the nx-X11 build scripts.
      Backported from Arctica GH 3.6.x branch.
      v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
      Adds:
      - debian/patches/1500_all_propagate-optflags-to-subcompone.full+lite.patch

  [ Ulrich Sibiller ]
  * nx-X11: Backport CVE-2017-2624 (timingsafe_memcmp)
    Backported from Arctica GH 3.6.x branch.
    v2: backport to nx-libs 3.6.x (Ulrich Sibiller)
    v3: backport to nx-libs 3.5.0.x (Mihai Moldovan)
    Adds:
    - 1270_nx-X11_CVE-2017-2624-Use-timingsafe_memcmp-to-c.full.patch

  [ Oleksandr Shneyder ]
  * nxcomp: Set TokenSize to 1536 for link type ADSL and WAN.
    Improving non-xrender based browser scrolling behaviour when link type is
    set to ADSL or WAN.
    Backported from Arctica GH 3.6.x branch.
    v2: backport to nx-libs 3.5.0.x (Mihai Moldovan)
    Adds:
    - debian/patches/1300_nxcomp_Set-TokenSize-to-1536-for-lin.full+lite.patch
  * nx-X11: Render.c: Improve situation for multiple trapezoid requests.
    Backported from Arctica GH 3.6.x branch.


=== debian/control ===
Source: nx-libs
Section: saimaa/x11
Priority: extra
Maintainer: X2Go Developers <x2go-dev@lists.berlios.de>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>,
 Oleksandr Shneyder <oleksandr.shneyder@obviously-nice.de>,
 Mihai Moldovan <ionic@ionic.de>,
Build-Depends:
 debhelper (>= 7.0.50~),
 libpng-dev,
 libjpeg-dev,
 zlib1g-dev,
 quilt (>= 0.46-7~),
 libfontconfig1-dev,
 libfontenc-dev,
 libfreetype6-dev,
 libxmltok1-dev,
 libxml2-dev,
 autoconf,
 pkg-config,
 x11proto-core-dev,
 expat,
Build-Conflicts:
 x11proto-kb-dev,
 x11proto-randr-dev,
 x11proto-record-dev,
 x11proto-xinerama-dev,
Standards-Version: 3.9.6
Homepage: http://code.x2go.org/gitweb?p=nx-libs.git;a=summary
Vcs-Git: git://code.x2go.org/nx-libs.git
Vcs-Browser: http://code.x2go.org/gitweb?p=nx-libs.git;a=summary

Package: nx-x11-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Breaks: nxlibs (<= 3.5.1),
        libnx-x11 (<< 2:3.5.0.29-0x2go2~),
        nxagent (<< 2:3.5.0.29-0x2go2~),
Description: nx-X11 (common files)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides all architecture-independent files for nx-X11.

Package: nx-x11proto-core-dev
Section: saimaa/libdevel
Architecture: any
Depends:
 ${misc:Depends},
Breaks: nxlibs (<= 3.5.1),
        libnx-x11-dev (<< 2:3.5.0.29-0x2go2~),
Description: nx-X11 core wire protocol and auxiliary headers
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the core nx-X11 protocol, and also provides a number of utility headers,
 used to abstract OS-specific functions.

Package: libnx-x11
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libnx-x11-6 (>= ${source:Version}), libnx-x11-6 (<< ${source:Version}.1), 
Description: nx-X11 client-side library (transitional dummy package)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package is a transitional dummy package and can be safely removed
 (inducing transition of libnx-x11 to libnx-x11-6).

Package: libnx-x11-6
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 nx-x11-common (>= ${source:Version}), nx-x11-common (<< ${source:Version}.1), 
Breaks: nxlibs (<= 3.5.1),
        libnx-x11 (<< 2:3.5.0.29-0x2go2~),
Replaces: nxlibs,
Description: nx-X11 client-side library
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides the core nx-X11 libraries customized for
 nxagent.

Package: libnx-x11-dev
Provides: libnx-x11-6-dev
Section: saimaa/libdevel
Architecture: any
Breaks: nxlibs-dev (<=3.5.1),
Replaces: nxlibs-dev,
Depends:
 libnx-x11-6 (= ${binary:Version}),
 ${misc:Depends},
Description: nx-X11 client-side library (development headers)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides the development headers for the core nx-X11
 libraries customized for nxagent.

Package: libnx-x11-6-dbg
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libnx-x11-6 (= ${binary:Version}),
 ${misc:Depends},
Section: saimaa/debug
Breaks: nx-x11-dbg (<< 2:3.5.0.29-0x2go2~),
Replaces: nx-x11-dbg,
Description: nx-X11 client-side library (debug package)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package contains debug symbols for the core nx-X11 libraries
 customized for nxagent.

Package: libnx-xau6
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Breaks: nxlibs (<= 3.5.1),
        libnx-x11 (<< 2:3.5.0.29-0x2go2~),
Description: nx-X11 authorisation library
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides the main interface to the nx-X11 authorisation handling,
 which controls authorisation for X connections, both client-side and
 server-side.

Package: libnx-xau-dev
Provides: libnx-xau6-dev
Section: saimaa/libdevel
Architecture: any
Multi-Arch: same
Depends:
 libnx-xau6 (= ${binary:Version}),
 ${misc:Depends},
Breaks: nxlibs (<= 3.5.1),
        libnx-x11-dev (<< 2:3.5.0.29-0x2go2~),
Description: nx-X11 authorisation library (development headers)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides the main interface to the nx-X11 authorisation handling,
 which controls authorisation for X connections, both client-side and
 server-side.
 .
 This package contains the development headers for this library.

Package: libnx-xau6-dbg
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libnx-xau6 (= ${binary:Version}),
 ${misc:Depends},
Section: saimaa/debug
Breaks: nx-x11-dbg (<< 2:3.5.0.29-0x2go2~),
Description: nx-X11 authorisation library (debug package)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides the main interface to the nx-X11 authorisation handling,
 which controls authorisation for X connections, both client-side and
 server-side.
 .
 This package contains debug symbols for this library.

Package: libnx-xcomposite1
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Breaks: nxlibs (<= 3.5.1),
        libnx-x11 (<< 2:3.5.0.29-0x2go2~),
Description: nx-X11 Composite extension library
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 libNX_Xcomposite provides an X Window System client interface to the Composite
 extension to the X protocol
 .
 The Composite extension allows clients called compositing managers to control
 the final drawing of the screen. Rendering is done into an off-screen buffer.

Package: libnx-xcomposite-dev
Provides: libnx-xcomposite1-dev
Section: saimaa/libdevel
Architecture: any
Multi-Arch: same
Depends:
 libnx-xcomposite1 (= ${binary:Version}),
 nx-x11proto-composite-dev (= ${binary:Version}),
 ${misc:Depends},
Breaks: nxlibs (<= 3.5.1),
        libnx-x11-dev (<< 2:3.5.0.29-0x2go2~),
Description: nx-X11 Composite extension library (development headers)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 libNX_Xcomposite provides an X Window System client interface to the Composite
 extension to the X protocol
 .
 The Composite extension allows clients called compositing managers to control
 the final drawing of the screen. Rendering is done into an off-screen buffer.
 .
 This package contains the development headers for this library.

Package: nx-x11proto-composite-dev
Section: saimaa/libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
Breaks: nxlibs (<= 3.5.1),
        libnx-x11-dev (<< 2:3.5.0.29-0x2go2~),
Description: nx-X11 Composite extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the Composite extension in nx-X11, used to let arbitrary client
 programs control drawing of the final image.

Package: libnx-xcomposite1-dbg
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libnx-xcomposite1 (= ${binary:Version}),
 ${misc:Depends},
Section: saimaa/debug
Breaks: nx-x11-dbg (<< 2:3.5.0.29-0x2go2~),
Description: nx-X11 Composite extension library (debug package)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 libNX_Xcomposite provides an X Window System client interface to the Composite
 extension to the X protocol
 .
 The Composite extension allows clients called compositing managers to control
 the final drawing of the screen. Rendering is done into an off-screen buffer.
 .
 This package contains debug symbols for this library.

Package: libnx-xdamage1
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Breaks: nxlibs (<= 3.5.1),
        libnx-x11 (<< 2:3.5.0.29-0x2go2~),
Description: nx-X11 damaged region extension library
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 libNX_Xdamage provides an X Window System client interface to the DAMAGE
 extension to the X protocol.
 .
 The Damage extension provides for notification of when on-screen regions have
 been 'damaged' (altered)

Package: libnx-xdamage-dev
Provides: libnx-xdamage1-dev
Section: saimaa/libdevel
Architecture: any
Multi-Arch: same
Depends:
 libnx-xdamage1 (= ${binary:Version}),
 nx-x11proto-damage-dev (= ${binary:Version}),
 ${misc:Depends},
Breaks: nxlibs (<= 3.5.1),
        libnx-x11-dev (<< 2:3.5.0.29-0x2go2~),
Description: nx-X11 damaged region extension library (development headers)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 libNX_Xdamage provides an X Window System client interface to the DAMAGE
 extension to the X protocol.
 .
 The Damage extension provides for notification of when on-screen regions have
 been 'damaged' (altered)
 .
 This package contains the development headers for this library.

Package: nx-x11proto-damage-dev
Section: saimaa/libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
Breaks: nxlibs (<= 3.5.1),
        libnx-x11-dev (<< 2:3.5.0.29-0x2go2~),
Description: nx-X11 Damage extension wire protocol
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 This package provides development headers describing the wire protocol
 for the Damage extension in nx-X11, used to notify clients of changes
 made to particular areas.

Package: libnx-xdamage1-dbg
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libnx-xdamage1 (= ${binary:Version}),
 ${misc:Depends},
Section: saimaa/debug
Breaks: nx-x11-dbg (<< 2:3.5.0.29-0x2go2~),
Description: nx-X11 damaged region extension library (debug package)
 NX is a software suite which implements very efficient
 compression of the X11 protocol. This increases performance when
 using X applications over a network, especially a slow one.
 .
 libNX_Xdamage provides an X Window System client interface to the DAMAGE

=== debian/rules ===
#!/usr/bin/make -f

NULL =

export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export LIBDIR = "/usr/lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)"
export INCLUDEDIR = "/usr/include/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)"

%:
	CONFIGURE="./configure --with-symbols --prefix=/usr --libdir=$(LIBDIR) --includedir=$(INCLUDEDIR)" dh $@ --with quilt

# before build, we will remove unused code / bundled libraries (keep this in sync with roll-tarball.sh)
UNUSED_FOLDERS           = "debian/CODE-REDUCTION_CLEANUP-UNUSED"
CLEANUP_FOLDERS          = "debian/CODE-REDUCTION_CLEANUP-BRUTAL"
UNNEEDED_BACKUPS         = "debian/CODE-REDUCTION_CLEANUP-BACKUPFILES"
PRESERVE_SYMLINKED_FILES = "debian/CODE-REDUCTION_PRESERVE-SYMLINKED"
PRESERVE_NEEDED_FILES    = "debian/CODE-REDUCTION_PRESERVE-NEEDED"
PRESERVE_INCLUDED_FILES  = "debian/CODE-REDUCTION_PRESERVE-INCLUDED"

override_dh_auto_clean:
	rm -Rf nx-X11/.build-exports
	dh_auto_clean

override_dh_clean:
	rm -f nx*/configure
	rm -f nx*/changelog
	rm -f doc/changelog
	rm -f nx-X11/programs/Xserver/hw/nxagent/changelog
	rm -f nx-X11/programs/nxauth/changelog
	if [ ! -f replace.sh ] && [ ! -h replace.sh ]; then ln -s debian/Makefile.replace.sh replace.sh; fi
	. ./replace.sh; set -x; ls debian/*.install.in | while read file; do rm -f $$(string_rep $$file .install.in .install); done
	rm -fR replace.sh Makefile bin etc/rgb VERSION.x2goagent etc/keystrokes.cfg etc/nxagent.keyboard etc/x2goagent.keyboard etc/x2goagent.options
	rm -f debian/nxagent.postinst
	rm -fR .preserve/
	if [ -f nxcomp/.VERSION.NoMachine ]; then mv nxcomp/.VERSION.NoMachine nxcomp/VERSION; fi
	dh_clean

override_dh_installchangelog:

	### the doc/changelog file is the actual NX (redistributed) ChangeLog
	dh_installchangelog doc/changelog

override_dh_install:

	# handle builds for Debian squeeze (non multi-arch)
	. ./replace.sh; set -x; if [ -z "$(DEB_BUILD_MULTIARCH)" ]; then \
	    find debian/*.install.in | while read file; do \
	        cat $$file | sed -e 's#/\*/#/#g' > $$(string_rep $$file .install.in .install); \
	    done; \
	else \
	    find debian/*.install.in | while read file; do \
	        cat $$file > $$(string_rep $$file .install.in .install); \
	    done; \
	fi

	# remove static libs
	rm debian/tmp/usr/lib/$(DEB_BUILD_MULTIARCH)/libXcomp.a
	rm debian/tmp/usr/lib/$(DEB_BUILD_MULTIARCH)/libXcompshad.a

	# remove extras, GL, and other unneeded headers
	rm -R debian/tmp/usr/include/$(DEB_BUILD_MULTIARCH)/nx/GL/
	rm -R debian/tmp/usr/include/$(DEB_BUILD_MULTIARCH)/nx/X11/bitmaps/
	rm -R debian/tmp/usr/include/$(DEB_BUILD_MULTIARCH)/nx/X11/extensions/XInput.h
	rm -R debian/tmp/usr/include/$(DEB_BUILD_MULTIARCH)/nx/X11/extensions/XK*.h
	rm -R debian/tmp/usr/include/$(DEB_BUILD_MULTIARCH)/nx/X11/extensions/*Xv*.h
	rm -R debian/tmp/usr/include/$(DEB_BUILD_MULTIARCH)/nx/X11/extensions/xtrap*.h
	rm -R debian/tmp/usr/include/$(DEB_BUILD_MULTIARCH)/nx/X11/extensions/Print*.h
	rm -R debian/tmp/usr/include/$(DEB_BUILD_MULTIARCH)/nx/X11/extensions/XRes*.h
	rm -R debian/tmp/usr/include/$(DEB_BUILD_MULTIARCH)/nx/X11/extensions/record*.h
	rm -R debian/tmp/usr/include/$(DEB_BUILD_MULTIARCH)/nx/X11/extensions/xf86vmode.h
	rm -R debian/tmp/usr/include/$(DEB_BUILD_MULTIARCH)/nx/X11/extensions/xf86vmstr.h
	rm -R debian/tmp/usr/include/$(DEB_BUILD_MULTIARCH)/nx/X11/extensions/xf86misc.h
	rm -R debian/tmp/usr/include/$(DEB_BUILD_MULTIARCH)/nx/X11/extensions/xf86dga1.h
	rm -R debian/tmp/usr/include/$(DEB_BUILD_MULTIARCH)/nx/X11/extensions/xf86dgastr.h
	rm -R debian/tmp/usr/include/$(DEB_BUILD_MULTIARCH)/nx/X11/extensions/xf86dga.h
	rm -R debian/tmp/usr/include/$(DEB_BUILD_MULTIARCH)/nx/X11/extensions/xf86dga1str.h
	rm -R debian/tmp/usr/include/$(DEB_BUILD_MULTIARCH)/nx/X11/extensions/xf86mscstr.h
	rm -R debian/tmp/usr/include/$(DEB_BUILD_MULTIARCH)/nx/X11/extensions/dmxext.h
	rm -R debian/tmp/usr/include/$(DEB_BUILD_MULTIARCH)/nx/X11/extensions/dmxproto.h
	rm -R debian/tmp/usr/include/$(DEB_BUILD_MULTIARCH)/nx/X11/extensions/bigreqstr.h
	rm -R debian/tmp/usr/include/$(DEB_BUILD_MULTIARCH)/nx/X11/extensions/xcmiscstr.h
	rm -R debian/tmp/usr/include/$(DEB_BUILD_MULTIARCH)/nx/X11/extensions/XIproto.h
	rm -R debian/tmp/usr/include/$(DEB_BUILD_MULTIARCH)/nx/X11/extensions/xf86bigfstr.h
	rm -R debian/tmp/usr/include/$(DEB_BUILD_MULTIARCH)/nx/X11/extensions/xf86bigfont.h
	rm -R debian/tmp/usr/include/$(DEB_BUILD_MULTIARCH)/nx/X11/extensions/XI.h
	rm -R debian/tmp/usr/include/$(DEB_BUILD_MULTIARCH)/nx/X11/fonts/
	rm -R debian/tmp/usr/include/$(DEB_BUILD_MULTIARCH)/nx/X11/Xtrans/

	dh_install --fail-missing

override_dh_auto_install:
	PREFIX=/usr dh_auto_install -Smakefile

override_dh_auto_build:

	# create copies of upstream changelogs so that names apply to Debian policy...
	cp -a nx-X11/CHANGELOG nx-X11/changelog
	cp -a nxcomp/CHANGELOG nxcomp/changelog
	if [ -f nxcomp/VERSION ]; then cp nxcomp/VERSION nxcomp/.VERSION.NoMachine; fi
	cp -a nxcompext/CHANGELOG nxcompext/changelog
	cp -a nxcompshad/CHANGELOG nxcompshad/changelog
	cp -a nx-X11/programs/Xserver/hw/nxagent/CHANGELOG nx-X11/programs/Xserver/hw/nxagent/changelog
	cp -a nx-X11/programs/nxauth/CHANGELOG nx-X11/programs/nxauth/changelog
	cp -a nxproxy/CHANGELOG nxproxy/changelog
	ln -s debian/Makefile.nx-libs Makefile
	ln -s debian/Makefile.replace.sh replace.sh
	ln -s debian/wrappers bin
	mkdir -p etc/
	ln -s ../debian/keystrokes.cfg etc/keystrokes.cfg
	ln -s ../debian/rgb etc/rgb
	ln -s ../debian/nxagent.keyboard etc/nxagent.keyboard
	ln -s ../debian/x2goagent.keyboard etc/x2goagent.keyboard
	ln -s ../debian/x2goagent.options etc/x2goagent.options
	mkdir -p doc/
	ln -s ../debian/changelog doc/changelog
	ln -sf debian/VERSION VERSION.x2goagent
	ln -sf ../debian/VERSION nxcomp/VERSION

	# let's prep the nxagent.postinst script with the value of the build systems's DEB_BUILD_MULTIARCH variable
	sed debian/nxagent.postinst.in -e 's/#DEB_BUILD_MULTIARCH#/$(DEB_BUILD_MULTIARCH)/' > debian/nxagent.postinst

	# make a copy of code to be preserved for build
	mkdir -p .preserve
	for path in `cat $(PRESERVE_SYMLINKED_FILES)` `cat $(PRESERVE_NEEDED_FILES)` `cat $(PRESERVE_INCLUDED_FILES)`; do \
	    if echo $$path | grep -E "^#.*"; then continue; fi; \
	    test -d $$path && mkdir -p .preserve/$$path || mkdir -p .preserve/$$(dirname $$path); \
	    cp -av $$path .preserve/$$path; \
	done

	# remove unused code / bundled libraries (see at the top of the debian/rules file)
        # for the exact list of files and folders
	rm -Rf `cat $(UNUSED_FOLDERS)`
	rm -Rf `cat $(CLEANUP_FOLDERS)`
	rm -Rf `cat $(UNNEEDED_BACKUPS)`

	# copy to-be-preserved files back into code tree
	cp -av .preserve/* .
	rm -Rf .preserve/

	PREFIX=/usr dh_auto_build --parallel -- CDEBUGFLAGS="$(CPPFLAGS) $(CFLAGS)" LOCAL_LDFLAGS="$(LDFLAGS)" SHLIBGLOBALSFLAGS="$(LDFLAGS)" SHLIBDIR="$(LIBDIR)"

override_dh_strip:
	dh_strip -plibnx-x11-6 --dbg-package=libnx-x11-6-dbg
	dh_strip -plibnx-xau6 --dbg-package=libnx-xau6-dbg
	dh_strip -plibnx-xcomposite1 --dbg-package=libnx-xcomposite1-dbg
	dh_strip -plibnx-xdamage1 --dbg-package=libnx-xdamage1-dbg
	dh_strip -plibnx-xdmcp6 --dbg-package=libnx-xdmcp6-dbg
	dh_strip -plibnx-xext6 --dbg-package=libnx-xext6-dbg
	dh_strip -plibnx-xfixes3 --dbg-package=libnx-xfixes3-dbg
	dh_strip -plibnx-xinerama1 --dbg-package=libnx-xinerama1-dbg
	dh_strip -plibnx-xpm4 --dbg-package=libnx-xpm4-dbg
	dh_strip -plibnx-xrandr2 --dbg-package=libnx-xrandr2-dbg
	dh_strip -plibnx-xrender1 --dbg-package=libnx-xrender1-dbg
	dh_strip -plibnx-xtst6 --dbg-package=libnx-xtst6-dbg
	dh_strip -plibxcomp3 --dbg-package=libxcomp3-dbg
	dh_strip -plibxcompshad3 --dbg-package=libxcompshad3-dbg
	dh_strip -plibxcompext3 --dbg-package=libxcompext3-dbg
	dh_strip -pnxagent --dbg-package=nxagent-dbg
	dh_strip -pnxproxy --dbg-package=nxproxy-dbg
